__gnu_cxx::unary_compose< _Operation1, _Operation2 > Class Template Reference
SGI
Inheritance diagram for __gnu_cxx::unary_compose< _Operation1, _Operation2 >:
[legend]

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

| unary_compose (const _Operation1 &__x, const _Operation2 &__y)
_Operation1::result_type | operator() (const typename _Operation2::argument_type &__x) const

## Protected Attributes

_Operation1 | _M_fn1
_Operation2 | _M_fn2

## Detailed Description

### template<class _Operation1, class _Operation2>
class __gnu_cxx::unary_compose< _Operation1, _Operation2 >

An SGI extension .

Definition at line 125 of file ext/functional.

## Member Typedef Documentation

template<typename _Arg, typename _Result>

typedef _Arg std::unary_function< _Arg, _Result >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 104 of file stl_function.h.

template<typename _Arg, typename _Result>

typedef _Result std::unary_function< _Arg, _Result >::result_type

inherited

`result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- ext/functional